<?php

namespace App\Entities\PagSeguro\Order;

use App\Utils\Entity;

class PagSeguroItems extends Entity {
	protected $reference_id;
	protected $name;
	protected $quantity;
	protected $unit_amount;

	public static function builder(): PagSeguroItemsBuilder {

		return new PagSeguroItemsBuilder();

	}

	/**
	 *
	 * @return mixed
	 */
	public function getReferenceId() {
		
		return $this->reference_id;
		
	}
	
	/**
	 *
	 * @return mixed
	 */
	public function getName() {

		return $this->name;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getQuantity() {

		return $this->quantity;

	}

	/**
	 *
	 * @return mixed
	 */
	public function getUnitAmount() {

		return $this->unit_amount;

	}

	/**
	 *
	 * @param mixed $name
	 */
	public function setReferenceId($reference_id) {
		
		$this->reference_id = $reference_id;
		
	}
	
	
	/**
	 *
	 * @param mixed $name
	 */
	public function setName($name) {

		$this->name = $name;

	}

	/**
	 *
	 * @param mixed $quantity
	 */
	public function setQuantity($quantity) {

		$this->quantity = $quantity;

	}

	/**
	 *
	 * @param mixed $unit_amount
	 */
	public function setUnitAmount($unit_amount) {

		$this->unit_amount = $unit_amount;

	}

}

